﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.WebControls;
using WakeMeUp.basicas;

namespace WakeMeUp.interfaceNegocio
{
    public interface InterfaceNegocioUsuario
    {
        #region InterfaceNegocioUsuario Members
        bool cadastrar(Usuario usuario);
        bool editar(Usuario usuario);
        bool remover(Usuario usuario);
        Usuario buscarPorLogin(Usuario usuario);
        bool adicionarAtividade(Atividade atividade, Usuario usuario);
        bool removerAtividade(Atividade atividade);
        List<Atividade> buscarAtividades(Usuario usuario);
        bool adicionarMensagem(Mensagem mensagem, Usuario usuario);
        bool removerMensagem(Mensagem mensagemo);
        List<Mensagem> buscarMensagens(Usuario usuario);
        bool adicionarMeta(Meta meta, Usuario usuario);
        bool removerMeta(Meta meta);
        List<Meta> buscarMetas(Usuario usuario);
        bool adicionarPeso(Peso peso, Usuario usuario);
        bool removerPeso(Peso peso);
        List<Peso> buscarPesos(Usuario usuario);
        bool adicionarRefeicao(Refeicao refeicao, Usuario usuario);
        bool removerRefeicao(Refeicao refeicao);
        List<Refeicao> buscarRefeicao(Usuario usuario);
        bool adicionarMotivador(Usuario motivador, Usuario motivado);
        bool removerMotivador(Usuario motivador, Usuario motivado);
        List<Usuario> buscarTodosMotivadores(Usuario motivado);
        bool adicionarFoto(Usuario usuario, Foto foto);
        bool removerFoto(Foto foto);
        List<Foto> buscarFotos(Usuario usuario);
        #endregion
    }
}
