﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.SqlClient;
using System.Configuration;
using System.Data;

namespace WakeMeUp.conexaoBD
{
    public class Conexao
    {
        SqlConnection mySqlConnection;
        SqlCommand mySqlCommand;
        private static Conexao instancia;


        public Conexao() 
        {
            //this.mySqlCommand = new SqlCommand();
            this.mySqlConnection = new SqlConnection(ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString);
        }

        public void fechar() 
        {
            if (mySqlConnection.State == ConnectionState.Open)
            {
                mySqlConnection.Close();
            }
        }


        public static Conexao getInstancia() 
        {
            if(instancia == null)
            {
                instancia = new Conexao();
            }
            return instancia;
        }

        public void executarQuery(SqlCommand sqlComando) 
        {
            try
            {
                this.mySqlCommand = sqlComando;
                this.mySqlCommand.Connection = this.mySqlConnection;
                this.mySqlConnection.Open();
                this.mySqlCommand.ExecuteNonQuery();
            }
            finally
            {
                this.fechar();
            }
            
        }

        public SqlConnection getConnection() 
        {
            return this.mySqlConnection;
        }
    }
}
